[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ] |  |  |  |  | [Top] | [Contents] | [Index] | [ ? ]

#### 4.18.5.14 Bar Chart

A Bar Chart's type is "Bar Chart".

#### Signals

Bar Chart controls send the following signals.

`signalBarChartClicked`

  Currently not implemented.

`signalTimer`

  Currently not implemented

#### Attributes

Bar Charts publish the following attributes.

`Style`

  This attribute defines the frame style of the controls outline. Valid values are:

`InnerStyle`

  This attribute defines the inner frame's style of the rectangle enclosing the chart itself. Valid values are:

`Options`

  Defines the options for drawing the charts bars. Values are:

`MaxItems`

  The number of bars that should be placed.

`UpdateInterval`

  Timer interval in milliseconds.

`Caption`

  The caption of the chart.

`XLegend`

  X axis label.

`YLegend`

  Y axis label.

#### Skin Attributes

Bar Charts support the following skin attributes.

`OverlayTextureAlpha`

  The alpha value of the overlay texture.

`Texture`

  Used for overlaying the frame area with the global texture.

`ChartBarColor`

  The color used for drawing the bars.

#### Properties

Bar Charts publish the following properties.

`Caption`

  The caption of the Bar Chart.

#### Actions

Bar Charts understand the following actions.

`AddItem`

  Adds a new bar. See below for parameters.

#### Input Parameters

This sections describes the input parameters understood by the bar chart's ``AddItem'` action.

Name | Type | Description
`value` | `float` | The value of the bar. This defines how long/tall the bar will be
`label` | `iString*` | A label that descrobes the bar.

#### Output Parameters

None.

[ < ] | [ > ] |  | [ << ] | [ Up ] | [ >> ]

This document was generated using texi2html 1.76.